import { IDecompressor } from "./types";
import { GenericRecord } from "@webiny/api/types";
import { PluginsContainer } from "@webiny/plugins";
export interface IDecompressorParams {
    plugins: PluginsContainer;
}
export declare class Decompressor implements IDecompressor {
    private readonly plugins;
    constructor(params: IDecompressorParams);
    decompress(data: GenericRecord): Promise<GenericRecord | null>;
}
